1. Если Вы видите это сообщение, значит, вы ещё не зарегистрировались на нашем форуме.

    Зарегистрируйтесь, если вы хотите принять участие в обсуждениях. Перед регистрацией примите к сведению:
    1. Не регистрируйтесь с никами типа asdfdadhgd, 354621 и тому подобными, не несущими смысловой нагрузки (ник должен быть читаемым!): такие пользователи будут сразу заблокированы!
    2. Не регистрируйте больше одной учётной записи. Если у вас возникли проблемы при регистрации, то вы можете воспользоваться формой обратной связи внизу страницы.
    3. Регистрируйтесь с реально существующими E-mail адресами, иначе вы не сможете завершить регистрацию.
    4. Обязательно ознакомьтесь с правилами поведения на нашем форуме, чтобы избежать дальнейших конфликтов и непонимания.
    С уважением, администрация форума Old-Games.RU
    Скрыть объявление
  2. Пожалуйста, внимательно прочитайте правила раздела.

Старый инсталлятор LucasArts vs Vista x64

Тема в разделе "Установка и запуск игр", создана пользователем SkyBon, 14 май 2008.

  1. SkyBon

    SkyBon

    Регистрация:
    25 дек 2005
    Сообщения:
    165
    Помогите решить проблему - установить игры LucasArts, использующие старые инсталляторы с 16-битными компонентами (X-Wing Alliance, Battle For Naboo). А то ведь 64-битная Виста не поддерживает 16-битные приложения из-за отсутствия поддержки NTVDM...
     
    Последнее редактирование: 15 май 2008
  2.  
  3. John Freeman

    John Freeman

    Регистрация:
    13 май 2004
    Сообщения:
    14.254
    Установи. Тема про VirtualPC итд для кого по-твоему?
     
  4. SkyBon

    SkyBon

    Регистрация:
    25 дек 2005
    Сообщения:
    165
    NTVDM - компонент Windows, отдельно не устанавливается, отвечает за загрузку DOS'овских приложений. Из-за аппаратных ограничений 64-битных платформ запуск 16-битных приложений невозможен
     
    Последнее редактирование: 15 май 2008
  5. Nil Любимый цвет — голубой

    Nil

    Регистрация:
    30 апр 2007
    Сообщения:
    1.981
    SkyBon, тебе вообщето предлагают Virtual PC поставить(правда, только на Bisness и Ultimate ставится), бесплатный. У меня не ставится(хотя, я предполагаю, что это искуственное ограничение и его как-то можно обойти)
     
  6. SkyBon

    SkyBon

    Регистрация:
    25 дек 2005
    Сообщения:
    165
    Nil,я понял :). Просто это будет крайним вариантом. Сейчас проматриваю установщик - похоже это InstallShield стародавней версии. Пытаюсь найти 2-й .ini или типа того, чтобы самому распаковать и установить как надо.
     
  7. Halfer

    Halfer

    Регистрация:
    11 дек 2007
    Сообщения:
    98
    Вот только ставить винду на него это очень сложно.По крайней мере для меня.
     
  8. MisterGrim Very old

    MisterGrim

    Супер-модератор

    Регистрация:
    29 ноя 2007
    Сообщения:
    23.685
    SkyBon, может, это подойдёт.
     

    Вложения:

    kreol нравится это.
  9. SkyBon

    SkyBon

    Регистрация:
    25 дек 2005
    Сообщения:
    165
    MisterGrim, DOS'овскиефайлы не предлагать! :)
     
  10. SkyBon

    SkyBon

    Регистрация:
    25 дек 2005
    Сообщения:
    165
    В общем, ситуация такая: установил IS2008, сейчас бьюсь над data.bin.
     
  11. MisterGrim Very old

    MisterGrim

    Супер-модератор

    Регистрация:
    29 ноя 2007
    Сообщения:
    23.685
    SkyBon, новые версии IS могут быть и несовместимы со старыми.
    В общем, если тебе надо просто распаковать, вот три утилиты – i3comp, i5comp, i6comp. Какая-нибудь да подойдёт. PS: не дос! :)
     

    Вложения:

    kreol нравится это.
  12. SkyBon

    SkyBon

    Регистрация:
    25 дек 2005
    Сообщения:
    165
    MisterGrim, спасибо за утилиты, хотя уже пытался ими пробить старый IS. В этих утилитах только в одном не разобрался - с синтаксисом
     
  13. SkyBon

    SkyBon

    Регистрация:
    25 дек 2005
    Сообщения:
    165
    В общем так: разобрался с icomp для IS 3 - он не распознаёт.
     
    Последнее редактирование: 15 май 2008
  14. SkyBon

    SkyBon

    Регистрация:
    25 дек 2005
    Сообщения:
    165
    В общем так: надо не пытаться распаковать, а достать полную распакованную версию игры и собрать из неё установщик.
    Есть просьба: кто-нибудь установите у себя и залейте куда-нить распакованную, а я создам установщик и смодифицирую образ
     
    Последнее редактирование: 15 май 2008
  15. John Freeman

    John Freeman

    Регистрация:
    13 май 2004
    Сообщения:
    14.254
    Файлы выложи - распакую.
     
  16. MisterGrim Very old

    MisterGrim

    Супер-модератор

    Регистрация:
    29 ноя 2007
    Сообщения:
    23.685
    А если DOSBox?
     
  17. marginal2k

    marginal2k

    Регистрация:
    1 мар 2007
    Сообщения:
    162
    http://www.markusegger.at/Software/Games.aspx
     
    kreol и SkyBon нравится это.
  18. SkyBon

    SkyBon

    Регистрация:
    25 дек 2005
    Сообщения:
    165
    marginal2k, хм... на этом сайте нет патча для Battle For Naboo, но есть для многих остальных :)
     
  19. marginal2k

    marginal2k

    Регистрация:
    1 мар 2007
    Сообщения:
    162
    но вам же не только на BfN нужно было, судя по первому посту.
     
  20. SkyBon

    SkyBon

    Регистрация:
    25 дек 2005
    Сообщения:
    165
    Ну вообще-то, конечно, да, поскольку проблема со всеми играми LucasArts примерно до 2002 года (Например, у SW: Galactic Battlegrounds) уже работоспособный установщик
     
  1. На этом сайте используются файлы cookie, чтобы персонализировать содержимое, хранить Ваши предпочтения и держать Вас авторизованным в системе, если Вы зарегистрировались.
    Продолжая пользоваться данным сайтом, Вы соглашаетесь на использование нами Ваших файлов cookie.
    Скрыть объявление